GWT 2.7.0

## com.google.gwt.user.linker.rpc
Class RpcPolicyFileArtifact

    java.lang.Object
      com.google.gwt.core.ext.linker.Artifact<RpcPolicyFileArtifact>
          com.google.gwt.user.linker.rpc.RpcPolicyFileArtifact

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Artifact<?>>

    public class RpcPolicyFileArtifact

extends Artifact<RpcPolicyFileArtifact>

This artifact provides information about which proxy classes resulted in which rpc proxy files.

See Also:
  Serialized Form

Constructor Summary
`RpcPolicyFileArtifact(java.lang.String proxyClass, EmittedArtifact artifact)`

Method Summary
`protected int` | `compareToComparableArtifact(RpcPolicyFileArtifact o)` Performs comparison with an artifact of a compatible base type.
`protected java.lang.Class<RpcPolicyFileArtifact>` | `getComparableArtifactType()` Returns the base type to use for comparisons between Artifacts.
`EmittedArtifact` | `getEmittedArtifact()`
`java.lang.String` | `getProxyClass()`
`int` | `hashCode()` The class which is returned from `Artifact.getComparableArtifactType()` must declare a final implementation which returns the same hash code for objects for which `Artifact.compareToComparableArtifact(Artifact)` returns 0.

Methods inherited from class com.google.gwt.core.ext.linker.Artifact
`compareTo, equals, getLinker, isTransferableFromShards, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RpcPolicyFileArtifact

    public RpcPolicyFileArtifact(java.lang.String proxyClass,
                                 EmittedArtifact artifact)

Method Detail

### getEmittedArtifact

    public EmittedArtifact getEmittedArtifact()

### getProxyClass

    public java.lang.String getProxyClass()

### hashCode

    public final int hashCode()

  Description copied from class: `Artifact`
  The class which is returned from `Artifact.getComparableArtifactType()` must declare a final implementation which returns the same hash code for objects for which `Artifact.compareToComparableArtifact(Artifact)` returns 0.

  Specified by:
    `hashCode` in class `Artifact<RpcPolicyFileArtifact>`

### compareToComparableArtifact

    protected final int compareToComparableArtifact(RpcPolicyFileArtifact o)

  Description copied from class: `Artifact`
  Performs comparison with an artifact of a compatible base type. Objects which compare to 0 are assumed equal, and must return the same `Artifact.hashCode()`.

  Specified by:
    `compareToComparableArtifact` in class `Artifact<RpcPolicyFileArtifact>`

### getComparableArtifactType

    protected final java.lang.Class<RpcPolicyFileArtifact> getComparableArtifactType()

  Description copied from class: `Artifact`
  Returns the base type to use for comparisons between Artifacts. All concrete implementations of this methods must be final.

  Specified by:
    `getComparableArtifactType` in class `Artifact<RpcPolicyFileArtifact>`

GWT 2.7.0